Bug 9088 - cannot managed jar files created by FFJIE build 1160 with FFJEE3.0 010106 build
cannot managed jar files created by FFJIE build 1160 with FFJEE3.0 010106 build
Status: CLOSED FIXED
Product: obsolete
Classification: Unclassified
Component: jarpackager
3.x
PC Windows 3.1/NT
: P1 (vote)
: TBD
Assigned To: issues@obsolete
issues@obsolete
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-12 17:53 UTC by Unknown
Modified: 2003-07-01 10:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Unknown 2001-01-12 17:53:26 UTC
I have created a jar file with the FCS build of FFJIE2.0
I have the jar file plud the jarcontent file.

When I used the 3.0 build number 010106, I have the following exception:
Fri Jan 12 09:40:00 PST 2001java.lang.ClassCastException:
org.openide.filesystems.AbstractFileObject
java.lang.ClassCastException: org.openide.filesystems.AbstractFileObject
        at
org.netbeans.modules.jarpackager.DataObjectListEditor$ContentListModel.getElemen
tAt(DataObjectListEditor.java:454)
        at
javax.swing.plaf.basic.BasicListUI.updateLayoutState(BasicListUI.java:709)
        at
javax.swing.plaf.basic.BasicListUI.maybeUpdateLayoutState(BasicListUI.java:660)
        at
javax.swing.plaf.basic.BasicListUI.getPreferredSize(BasicListUI.java:169)
        at javax.swing.JComponent.getPreferredSize(JComponent.java:1042)
        at
javax.swing.ScrollPaneLayout.layoutContainer(ScrollPaneLayout.java:752)
        at java.awt.Container.layout(Container.java:686)
        at java.awt.Container.doLayout(Container.java:676)
        at java.awt.Container.validateTree(Container.java:750)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validateTree(Container.java:757)
        at java.awt.Container.validate(Container.java:728)
        at java.awt.Window.show(Window.java:387)
        at java.awt.Component.show(Component.java:946)
        at java.awt.Component.setVisible(Component.java:903)
        at
org.netbeans.core.windows.MultiTabContainer.setVisible(MultiTabContainer.java:47
8)
        at org.netbeans.core.windows.ModeImpl.setVisible(ModeImpl.java:472)
        at
org.netbeans.core.windows.ModeImpl$1.performCommand(ModeImpl.java:218)
        at
org.netbeans.core.windows.DeferredPerformer.processCommand(DeferredPerformer.jav
a:145)
        at
org.netbeans.core.windows.DeferredPerformer.putRequest(DeferredPerformer.java:82
)
        at org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:190)
        at
org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.doOpen(WindowMan
agerImpl.java:958)
        at
org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.open(WindowManag
erImpl.java:915)
        at org.openide.windows.TopComponent.open(TopComponent.java:192)
        at
org.netbeans.modules.jarpackager.PackagingTCBase.open(PackagingTCBase.java:63)
        at org.netbeans.core.windows.ModeImpl.performCommand(ModeImpl.java:845)
        at
org.netbeans.core.windows.DeferredPerformer.processCommand(DeferredPerformer.jav
a:145)
        at
org.netbeans.core.windows.DeferredPerformer.stateChanged(DeferredPerformer.java:
116)
        at
org.netbeans.core.windows.StateManager.fireStateChanged(StateManager.java:112)
        at
org.netbeans.core.windows.StateManager.setVisibilityState(StateManager.java:137)
        at
org.netbeans.core.windows.StateManager.componentShown(StateManager.java:147)
        at java.awt.Component.processComponentEvent(Component.java:3606)
        at java.awt.Component.processEvent(Component.java:3558)
        at java.awt.Container.processEvent(Container.java:1164)
        at java.awt.Window.processEvent(Window.java:777)
        at java.awt.Component.dispatchEventImpl(Component.java:2595)
[catch] at java.awt.Container.dispatchEventImpl(Container.java:1213)
        at java.awt.Window.dispatchEventImpl(Window.java:912)
        at java.awt.Component.dispatchEvent(Component.java:2499)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:319)
        at
java.awt.EventDispatchThread.pumpOneEvent(EventDispatchThread.java:103)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:84)


AND the Manage JAR or Update Jar popup actions are no more enabled on the jar
node.

I suspect an incompatible change in the format of the jarcontent file. This is
an important bug because people using the FFJIE2.0 Sun product and creating a
lot of jars (wars, ears, ejbjar and more) will not be able to migrate their
Filesystems in the 3.0 environment.

Thanks,
Comment 1 Mike Schilling 2001-03-27 22:17:11 UTC
This looks like a Netbeans 3.0/ Netbeans 3.1 incompatibility.  We now check for 
FileObjects in the jar content file and convert then to DataObjects at 
deserialization time.
Comment 2 Mike Schilling 2001-03-30 01:10:02 UTC
Issuezilla is confused -- I marked this assigned, not Fixed.
Comment 3 Mike Schilling 2001-03-30 01:11:12 UTC
No, this one is fixed
Comment 4 David Kaspar 2002-11-01 14:20:28 UTC
Verified
Comment 5 Quality Engineering 2003-07-01 10:00:27 UTC
Resolved for 3.4 or earlier, no new info since then -> closing.
Comment 6 Quality Engineering 2003-07-01 10:01:29 UTC
Resolved for 3.4 or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo